Subject: bug#51733: 27.1; Detect impossible email addresses better

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Jan 2022 20:44:51 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 18 Jan 2022 13:51:38 +0100
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > The next step would be to make other packages use this. 
> 
> (But I'm taking the rest of the day off, and possibly tomorrow, too, so
> if somebody else wants to tinker with this, please do go ahead.)

Does textsec-email-suspicious-p expect non-ASCII email addresses to be
RFC 2047 encoded?  If so, it will not work in the Rmail display
buffers, where email addresses are shown decoded.  For non-ASCII names
the function signals an error.